Installer une version specifique

Le
Zuthos
--cNdxnHkX5QqsyA0e
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Bonjour,

Je veut installer une version précise d'un package.

J'ai donc fait:
# aptitude install htmldoc=1.8.23
Lecture des listes de paquets Fait
Construction de l'arbre des dépendances
Lecture des informations d'état Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets Fait
Lecture des descriptions de tâches Fait
Impossible de trouver la version « 1.8.23 » du paquet « html=
doc »
Impossible de trouver la version « 1.8.23 » du paquet « html=
doc »
Aucun paquet ne va être installé, mis à jour ou enlevé.

Comme vous pouvez le voir, cela ne marche pas.

Comment faire????

Merci d'avance

--cNdxnHkX5QqsyA0e
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

--BEGIN PGP SIGNATURE--
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkneGYUACgkQIBQYI2ra+ushZgCfXqn0+4lI/iexjVoJGEntihgh
S1UAn113dIkGNaPifXl5LbMTf4huU6uG
+cO
--END PGP SIGNATURE--

--cNdxnHkX5QqsyA0e--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Guillaume Caron
Le #19087131
--=-q7eA46RbBYztQB9p0quY
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

Bonsoir,

Je te conseille de faire d'abord un « apt-cache policy htmldoc », pour
voir exactement les versions disponibles (avec version du paquet), et
d'en récupérer le texte.

Ici, ça donne :

$ apt-cache policy htmldoc
htmldoc:
Installé : (aucun)
Candidat : 1.8.27-3
Table de version :
1.8.27-4 0
500 http://ftp.fr.debian.org sid/main Packages
1.8.27-3 0
500 http://ftp.fr.debian.org lenny/main Packages
990 http://ftp.fr.debian.org squeeze/main Packages

Donc, tu n'as plus qu'à prendre soit « 1.8.27-3 », soit « 1.8.27-4 ».
(Au passsage, la 1.8.23 n'a pas l'air disponible, mais je n'ai peut-être
pas les mêmes dépôts que toi).

Cordialement,
--
Guillaume Caron


Le jeudi 09 avril 2009 à 17:51 +0200, Zuthos a écrit :

Bonjour,

Je veut installer une version précise d'un package.

J'ai donc fait:
# aptitude install htmldoc=1.8.23
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait
Impossible de trouver la version « 1.8.23 » du paquet « htmldoc »
Impossible de trouver la version « 1.8.23 » du paquet « htmldoc »
Aucun paquet ne va être installé, mis à jour ou enlevé.

Comme vous pouvez le voir, cela ne marche pas.

Comment faire????

Merci d'avance



--=-q7eA46RbBYztQB9p0quY
Content-Type: text/html; charset="utf-8"
Content-Transfer-Encoding: 7bit

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=UTF-8">
</HEAD>
<BODY>
Bonsoir,<BR>
<BR>
Je te conseille de faire d'abord un &#171; apt-cache policy htmldoc &#187;, pour voir exactement les versions disponibles (avec version du paquet), et d'en r&#233;cup&#233;rer le texte.<BR>
<BR>
Ici, &#231;a donne :<BR>
<BLOCKQUOTE>
<TT>$ apt-cache policy htmldoc</TT><BR>
<TT>htmldoc:</TT><BR>
<TT>&nbsp; Install&#233; : (aucun)</TT><BR>
<TT> Table de version :</TT><BR>
</BLOCKQUOTE>
Donc, tu n'as plus qu'&#224; prendre soit &#171; 1.8.27-3 &#187;, soit &#171; 1.8.27-4 &#187;. <BR>
(Au passsage, la 1.8.23 n'a pas l'air disponible, mais je n'ai peut-&#234;tre pas les m&#234;mes d&#233;p&#244;ts que toi).<BR>
<BR>
Cordialement,<BR>
<TABLE CELLSPACING="0" CELLPADDING="0" WIDTH="100%">
<TR>
<TD>
--<BR>
Guillaume Caron
</TD>
</TR>
</TABLE>
<BR>
<BR>
Le jeudi 09 avril 2009 &#224; 17:51 +0200, Zuthos a &#233;crit&nbsp;:
<BLOCKQUOTE TYPE=CITE>
<PRE>
Bonjour,

Je veut installer une version pr&#233;cise d'un package.

J'ai donc fait:
# aptitude install htmldoc=1.8.23
Lecture des listes de paquets... Fait
Construction de l'arbre des d&#233;pendances
Lecture des informations d'&#233;tat... Fait
Lecture de l'information d'&#233;tat &#233;tendu
Initialisation de l'&#233;tat des paquets... Fait
Lecture des descriptions de t&#226;ches... Fait
Impossible de trouver la version &#171; 1.8.23 &#187; du paquet &#171; htmldoc &#187;
Impossible de trouver la version &#171; 1.8.23 &#187; du paquet &#171; htmldoc &#187;
Aucun paquet ne va &#234;tre install&#233;, mis &#224; jour ou enlev&#233;.

Comme vous pouvez le voir, cela ne marche pas.

Comment faire????

Merci d'avance
</PRE>
</BLOCKQUOTE>
</BODY>
</HTML>

--=-q7eA46RbBYztQB9p0quY--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Zuthos
Le #19087431
--PNTmBPCT7hxwcZjr
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable


| $ apt-cache policy htmldoc
| htmldoc:
| Installe : (aucun)
| Candidat : 1.8.27-3
| Table de version :
| 1.8.27-4 0
| 500 http://ftp.fr.debian.org sid/main Packages
| 1.8.27-3 0
| 500 http://ftp.fr.debian.org lenny/main Packages
| 990 http://ftp.fr.debian.org squeeze/main Packages
|
| Donc, tu n'as plus qu'`a prendre soit | (Au passsage, la 1.8.23 n'a pas l'air disponible, mais je n'ai peut-et re
| pas les memes depots que toi).
|
Nous avons bien les mêmes dépots.
Le probléme est que facturier ne fonctione qu'avec la 1.8.23

Bon, je vais chercher une autre solution


--PNTmBPCT7hxwcZjr
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkneIrAACgkQIBQYI2ra+ut4DwCfR6oupqHL1WCeWTa+geiArBQv
vjMAn0feqVFjZJ9mjp+w+4wSIDGWTYx7
=ZVdZ
-----END PGP SIGNATURE-----

--PNTmBPCT7hxwcZjr--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
David Prévot
Le #19101181
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Zuthos a écrit :

| $ apt-cache policy htmldoc


[...]
Nous avons bien les m�mes d�pots.
Le probl�me est que facturier ne fonctione qu'avec la 1.8.23

Bon, je vais chercher une autre solution



Tu peux la trouver sur http://snapshot.debian.net, donc soit tu ajoutes
deb http://snapshot.debian.net/archive pool htmldoc
à ton sources.list, soit tu vas le chercher directement sur le site :
http://snapshot.debian.net/archive/2005/03/13/debian/pool/main/h/htmldoc/

Amicalement

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknhBZgACgkQ18/WetbTC/oEOQCaA7BlpB0tv4pefOV0iLACX05a
zckAn2gNJuoluyN0DVeTCpKc/Ho5TeZR
=RYiA
-----END PGP SIGNATURE-----

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Zuthos
Le #19118441
--4BlIp4fARb6QCoOq
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

David Prévot a écrit :
|
| -----BEGIN PGP SIGNED MESSAGE-----
| Hash: SHA1
|
| Zuthos a écrit :
| >
| > | $ apt-cache policy htmldoc
| [...]
| > Nous avons bien les m�mes d�pots.
| > Le probl�me est que facturier ne fonctione qu'avec la 1.8.23
| >
| > Bon, je vais chercher une autre solution
|
| Tu peux la trouver sur http://snapshot.debian.net, donc soit tu ajoutes
| deb http://snapshot.debian.net/archive pool htmldoc
| à ton sources.list, soit tu vas le chercher directement sur le site :
| http://snapshot.debian.net/archive/2005/03/13/debian/pool/main/h/htmldoc/
|
| Amicalement
|
| David
|


Merci


--4BlIp4fARb6QCoOq
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknlYxgACgkQIBQYI2ra+usruwCfdQSnt6sIxrx4wx6P4aCdBdzT
kasAnjR2t0N9x681rh2c7AaOrV9y64HC
=iQV8
-----END PGP SIGNATURE-----

--4BlIp4fARb6QCoOq--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme